package core.history;

/**
 * This class is used to manage all the History Strings.
 *
 */

public class HistoryStrings {
	
	public static String SetEdgeOrderKeyString = "Change Order Key of Edge (%s) from %s to %s";
	// This will create a string similar to: "Change Order Key of Edge (I -> GFit) from foo to bar"

	public static String ChangeNodeCommentVisibiltyString = "%s Visibilty of Comment of Node (%s)";
	// This will create a string similar to: "Enable/Disable Visibility of Comment of Node (G-FIT)"
	
	public static String ChangeParameterGroupEnableString = "%s Parameter (%s) of Job Node (%s)";
	// This will create a string similar to: " Enable/Disable Parameter (Single Erlang) of Job Node (G-FIT)"
	
	public static String ChangeNodeNameString = "Rename Node (%s) to %s";
	// This will create a string similar to: "Rename Node (G-FIT) to G-FIT-beta"
	
	public static String ChangeEdgeInformationVisibiltyString = "Change Visibilty of Information on Edge (%s) to %b (Show file Name), %b (Show file type). %b (Show order key)";
	// This will create a string similar to: "Change Visibility of Information on Edge (I -> G-FIT) to true (Show file Name), true (Show file type), true (Show order key)"
	
	public static String ChangeParameterGroupVisibilityString = "%s Visibilty of Parameter (%s) of Job Node (%s)";
	// This will create a string similar to: "Enable/Disable Visibility of Parameter (Iterations) of Job Node (Momfit)"
	
	public static String ChangeBooleanParameterGroupValuesString =" %s Parameter (%s) of Job (%s)";
	// This will create a string similar to: "Enable/Disable Parameter (Iterations) of Job Node (Momfit)"
	
	public static String ChangeNodeCommentString = "Change Comment of Node (%s)";
	// This will create a string similar to: "Change Comment of Node (G-FIT)"
	
	public static String ChangeSelectParameterGroupValuesString = "Change Select Parameter (%s) of Node (%s) from %s to %s";
	// This will create a string similar to: "Change Select Parameter (Type) of Node (Plot) form cdf to ac"
	
	public static String ChangeTextParameterGroupValuesString = "Change Value of Parameter (%s) of Job (%s)";
	// This will create a string similar to: "Change Value of Parameter (All Erlang) of Job (G-FIT)"
	
	public static String ConnectNodeString = "Connect Nodes (%s)";
	// This will create a string similar to: "Connect Nodes (Momfit -> Print)"
	
	public static String NewPointNodeString = "Add EdgePoint to Edge (%s)";
	// This will create a string similar to: "Add EdgePoint to Edge (Momfit -> Print)"
	
	public static String RemoveConnectionString = "Remove connection (%s)";
	// This will create a string similar to: "Remove connection (Momfit -> Print)"
	
	public static String SetEdgeTypeString = "Change Type of Edge (%s) from %s to %s";
	// This will create a string similar to: "Change Type of Edge (Momfit -> Print) from XML-MAP to XML-PH"
	
	public static String SetFileNameString = "Change File Name of Edge (%s) from %s to %s";
	// This will create a string similar to: "CHange File Name of Edge (I -> G-FIT) form lbl3.trace to test.trace"
	
	public static String ChangePointNodeUserPositionedString = "%s Auto Positioning of EdgePoints on Edge (%s)";
	// This will create a string similar to: "Enable/Disable Auto Positioning of EdgePoints on Edge (I -> G-FIT)"
	
	public static String SetConverterIDString = "Change Type of %s File (%s) from %s to %s";
	// This will create a string similar to: "Change Type of Output File (trace) from Map to XML_MAP";
	
	public static String SetExternalFileNameString = "Change File Name of %s Node from %s to %s";
	// This will create a string similar to: "Change File Name of Output Node form /home/Fred/ProFiDo.pdf to /home/Fred/trace.pdf"
	
	public static String MoveNodeString = "Move %s (%s) from Cell [%d, %d] to Cell [%d, %d]";
	// This will create a string similar to: "Move Node (Print) form Cell [2,7] to Cell [4,7]"
	
	public static String RemoveNodeString = "Remove %s on Edge (%s)";
	// This will create a string similar to: "Remove Node on Edge (Momfit)"
	
	public static String NewNodeString = "Add %s (%s)";
	// This will create a string similar to: "Add Node (Print)"
	


}
