package gui.helper;

import core.TypedFile;


/**
 * This class defines the properties of a WorkflowScript.
 * 
 */
public class WorkflowScript {

	/**
	 * Contains the hole script.
	 */
	private String script;
	
	/**
	 * Represents the script as a TypedFile.
	 */
	private TypedFile resultFile;

	/**
	 * Constructor to create a WorkflowScript.
	 */
	public WorkflowScript(String script, TypedFile resultFile) {
		this.script = script;
		this.resultFile = resultFile;
	}

	public TypedFile getResultFile() {
		return this.resultFile;
	}

	public String getWorkflowScript() {
		return this.script;
	}

}
