package gui;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JFrame;




import javax.swing.SwingUtilities;

import java.awt.BorderLayout;
import java.awt.Dialog;

import javax.swing.JProgressBar;
import javax.swing.border.Border;



public class StatusDialog extends JDialog {
	
	StatusDialog me = this;
	/**
	 * 
	 */
	private static final long serialVersionUID = 6144612948093186884L;
	private JProgressBar bar;
	
	public StatusDialog(JFrame mainWindow) {
		super(mainWindow,true);
		bar = new JProgressBar();
		bar.setStringPainted(true);
		Border border = BorderFactory.createTitledBorder("Please wait...");
		bar.setBorder(border);
		bar.setIndeterminate(false);
		bar.setMinimum(0);
		bar.setVisible(true);
		getContentPane().add(bar, BorderLayout.CENTER);
		setSize(380,100);
		setResizable(false);
		//setAlwaysOnTop(true);
		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		//setModalityType(Dialog.ModalityType.APPLICATION_MODAL);
		
	}
	
	public void setProgressBarValue(final int i){
		 SwingUtilities.invokeLater(new Runnable() {
			    public void run() {
			    	bar.setValue(i);
			    }
			  });
		
	}
	
	public void setProgressBarMaximum(final int i){
		 SwingUtilities.invokeLater(new Runnable() {
			    public void run() {
			    	bar.setMaximum(i);
			    }
			  });

	}
	
	public void setProgressBarMinimum(final int i){
		 SwingUtilities.invokeLater(new Runnable() {
			    public void run() {
					bar.setMinimum(i);			    }
			  });
	}

	public void setVisibleAll(final boolean i){
		
		 SwingUtilities.invokeLater(new Runnable() {
			    public void run() {
					me.setVisible(i);;			    }
			  });
	}
	
	public void disposeAll(){
		
		 SwingUtilities.invokeLater(new Runnable() {
			    public void run() {
					me.dispose();;			    }
			  });
	}


}
